%def_without test
%define module_name App-SpreadRevolutionaryDate
# BEGIN SourceDeps(oneline):
BuildRequires: perl(AppConfig.pm) perl(Bot/BasicBot.pm) perl(Class/Load.pm) perl(DateTime/Calendar/FrenchRevolutionary.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Find.pm) perl(File/HomeDir.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(FindBin.pm) perl(Getopt/Long.pm) perl(IO/Handle.pm) perl(IO/Prompt/Hooked.pm) perl(Locale/Messages.pm) perl(Locale/TextDomain.pm) perl(Locale/Util.pm) perl(Mastodon/Client.pm) perl(Moose.pm) perl(Moose/Role.pm) perl(MooseX/NonMoose.pm) perl(MooseX/Role/Parameterized.pm) perl(Net/Async/HTTP.pm) perl(Net/OAuth.pm) perl(Net/Twitter/Lite/WithAPIv1_1.pm) perl(POE.pm) perl(POE/Component/SSLify.pm) perl(Test/More.pm) perl(Test/NoWarnings.pm) perl(Test/Output.pm) perl(Test/Trap.pm) perl(URI/Escape.pm)
BuildRequires: perl(namespace/autoclean.pm) perl(open.pm) perl(strict.pm) perl(utf8.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.20
Release: alt1
Summary: Spread date and time from Revolutionary (Republican) Calendar on Twitter, Mastodon and Freenode.
Group: Development/Perl
License: gpl
URL: http://search.cpan.org/dist/App-SpreadRevolutionaryDate/

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/G/GI/GIBUS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
    spread-revolutionary-date is a Free Software
    <https://www.gnu.org/philosophy/free-sw.htmlhttps://www.gnu.org/philosophy/free-sw.html>
    that spreads the current date, expressed in French Revolutionary
    calendar <https://en.wikipedia.org/wiki/French_Republican_calendar>, to
    various social networks: Twitter <https://twitter.com/>, Mastodon
    <https://mastodon.social/>, and the Freenode <https://freenode.net/>
    Internet Relay Chat network.

    The French Revolutionary calendar, also called Republican calendar, was
    introduced during the French Revolution
    <https://en.wikipedia.org/wiki/French_Revolution>, and used from late
    1793 to 1805, and also during the Paris Commune
    <https://en.wikipedia.org/wiki/Paris_Commune> in 1871. This was an

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE TODO CONTRIBUTING Changes README
%_man1dir/*
%perl_vendor_privlib/A*
%perl_vendor_privlib/LocaleData/*
%_bindir/*

%changelog
* Fri May 17 2019 Igor Vlasenko <viy@altlinux.ru> 0.20-alt1
- updated by package builder

* Fri May 03 2019 Igor Vlasenko <viy@altlinux.ru> 0.19-alt1
- updated by package builder

* Thu Apr 11 2019 Igor Vlasenko <viy@altlinux.ru> 0.18-alt1
- updated by package builder

* Wed Apr 10 2019 Igor Vlasenko <viy@altlinux.ru> 0.17-alt1
- updated by package builder

* Mon Apr 08 2019 Igor Vlasenko <viy@altlinux.ru> 0.14-alt1
- updated by package builder

* Sun Mar 31 2019 Igor Vlasenko <viy@altlinux.ru> 0.10-alt1
- updated by package builder

* Thu Mar 28 2019 Igor Vlasenko <viy@altlinux.ru> 0.09-alt1
- updated by package builder

* Mon Mar 25 2019 Igor Vlasenko <viy@altlinux.ru> 0.08-alt1
- updated by package builder

* Fri Mar 08 2019 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1
- updated by package builder

* Thu Mar 07 2019 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- initial import by package builder

